<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

class Colors {

    static $colors = [
        // Pastel colors
        "EF9A9A", // red
        "FFCC80", // orange
        "FFF59D", // yellow
        "E6EE9C", // lime
        "A5D6A7", // green
        "80CBC4", // teal
        "81D4FA", // light blue
        "90CAF9", // blue
        "B39DDB", // purple
        "F48FB1", // pink
        // Bright colors
        "F44336", // red
        "FF9800", // orange
        "FFEB3B", // yellow
        "8BC34A", // light green
        "4CAF50", // green
        "009688", // teal
        "03A9F4", // light blue
        "2196F3", // blue
        "673AB7", // purple
        "E91E63", // pink
        // Other colors
        "FFFFFF", // white
        "E0E0E0", // pastel gray
        "9E9E9E", // gray
        "BCAAA4", // pastel brown
        "795548", // brown
        "000000", // black
    ];

    static function init() {
        global $SETTINGS;
        if (!empty($SETTINGS['note_colors']) && is_array($SETTINGS['note_colors']) && count($SETTINGS['note_colors']) > 0) {
            Colors::$colors = $SETTINGS['note_colors'];
        }
    }

}

Colors::init();